Subject: Re: bug#27436: 26.0.50; cc-defs requires cl instead of cl-lib in master
From: Alex <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Jun 2017 13:51:31 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

> Hello, Alex.
>
> On Wed, Jun 21, 2017 at 00:04:12 -0600, Alex wrote:
>> cc-defs has this condition to check whether or not to include cl-lib:
>
>> ======================================
>> (and (fboundp 'mapcan)
>>      (subrp (symbol-function 'mapcan)))
>> ======================================
>
>> As of 466ee1b3ea, Emacs now has a built in mapcan, so the above returns
>> true.
>
> Yes.  Thanks for taking the trouble to report this bug.
>
> I've committed a fix to master.  I'd be grateful if you would confirm it
> fixes the problem properly, or tell me what's not quite right.
>
>> Other code in cc-defs.el uses (featurep 'xemacs). Is there a reason why
>> it can't be used here?
>
> CC Mode has always favoured testing features rather than version numbers
> and the the base (X)Emacs, so that if a tested feature becomes or ceases
> to be available, CC Mode should pick that up automatically.  That is
> illustrated by the current case, just that here the actual test used was
> suboptimal.  Hopefully it is now OK.

Hello, Alan.

Thanks for the explanation and fix; I can confirm that the problem is
fixed in master. I'll close this bug.